# Uses of Interface
org.apache.sling.tenant.Tenant

Packages that use Tenant
Package
Description
org.apache.sling.tenant
org.apache.sling.tenant.spi

## Uses of Tenant in org.apache.sling.tenant

Methods in org.apache.sling.tenant that return Tenant
Modifier and Type
Method
Description
`Tenant`
TenantManager.`create(String tenantId, Map<String,Object> properties)`
Creates a new tenant with the given tenant ID and the initial set of properties.
`Tenant`
TenantProvider.`getTenant(String tenantId)`
Returns the `Tenant` with the given `tenantId` or `null` if no such tenant exists.
Methods in org.apache.sling.tenant that return types with arguments of type Tenant
Modifier and Type
Method
Description
`Iterator<Tenant>`
TenantProvider.`getTenants()`
Returns an iterator of all `tenants` known to this provider.
`Iterator<Tenant>`
TenantProvider.`getTenants(String tenantFilter)`
Returns an iterator of `tenants` matching the given `tenantFilter`.
Methods in org.apache.sling.tenant with parameters of type Tenant
Modifier and Type
Method
Description
`void`
TenantManager.`remove(Tenant tenant)`
Removes the given tenant.
`void`
TenantManager.`removeProperties(Tenant tenant, String... propertyNames)`
Removes one or more properties from the tenant.
`void`
TenantManager.`setProperties(Tenant tenant, Map<String,Object> properties)`
Sets or removes multiple properties on the tenant.
`void`
TenantManager.`setProperty(Tenant tenant, String name, Object value)`
Sets a single property of the tenant to a new value or removes the property if the value is `null`.

## Uses of Tenant in org.apache.sling.tenant.spi

Methods in org.apache.sling.tenant.spi with parameters of type Tenant
Modifier and Type
Method
Description
`Map<String,Object>`
TenantManagerHook.`change(Tenant tenant)`
Method called to update the given tenant.
`void`
TenantCustomizer.`remove(Tenant tenant, org.apache.sling.api.resource.ResourceResolver resolver)`
Deprecated.
Called to remove the setup for the given Tenant.
`void`
TenantManagerHook.`remove(Tenant tenant)`
Called to remove the setup for the given Tenant.
`Map<String,Object>`
TenantCustomizer.`setup(Tenant tenant, org.apache.sling.api.resource.ResourceResolver resolver)`
Deprecated.
Method called to create or update the given tenant.
`Map<String,Object>`
TenantManagerHook.`setup(Tenant tenant)`
Method called to create the given tenant.